RagTime5LayoutInternal::ClusterLayout Struct Reference documentation

RagTime5LayoutInternal::ClusterLayout Struct Referencefinal

the layout cluster ( 4001 zone) More...

Inheritance diagram for RagTime5LayoutInternal::ClusterLayout:

## Classes
struct | Zone
| a zone of in a layout More...

## Public Member Functions
| ClusterLayout ()
| constructor
| ~ClusterLayout () final
| destructor
Public Member Functions inherited from RagTime5ClusterManager::Cluster
| Cluster (Type type)
| constructor
virtual | ~Cluster ()
| destructor

## Public Attributes
std::vector< Zone > | m_pageList
| list of zone's
RagTime5ClusterManager::NameLink | m_pageNameLink
| the name link for page?
RagTime5ClusterManager::Link | m_pipelineLink
| link to a pipeline cluster list
RagTime5ClusterManager::Link | m_pageDataLink
| link to a zone of fieldSize 8(unknown)
std::set< int > | m_childIdSet
| list of child id
int | m_numChild
| the number of classic child
int | m_numMasterChild
| the number of master child
Public Attributes inherited from RagTime5ClusterManager::Cluster
Type | m_type
| the cluster type
int | m_zoneId
| the zone id
bool | m_hiLoEndian
| the cluster hiLo endian
librevenge::RVNGString | m_name
| the cluster name (if know)
Link | m_childLink
| the child link
Link | m_parentLink
| the parent link
Link | m_dataLink
| the main data link
NameLink | m_nameLink
| the name link
Link | m_formulaLink
| the formula cluster links (def and pos)
std::vector< Link > | m_settingLinks
| the settings links
std::vector< Link > | m_linksList
| the link list
std::vector< int > | m_clusterIdsList
| the cluster ids
bool | m_isSent
| true if the cluster was send

## Additional Inherited Members
Public Types inherited from RagTime5ClusterManager::Cluster
enum | Type { C_ColorPattern , C_FormulaDef , C_FormulaPos , C_Layout , C_Pipeline , C_Root , C_ClusterGProp , C_Sound , C_ButtonZone , C_ChartZone , C_GraphicZone , C_PictureZone , C_SpreadsheetZone , C_TextZone , C_GroupZone , C_ColorStyles , C_FormatStyles , C_GraphicStyles , C_TextStyles , C_UnitStyles , C_ClusterC , C_Empty , C_Unknown }
| the cluster type More...

## Detailed Description

the layout cluster ( 4001 zone)

## Constructor & Destructor Documentation

## ◆ ClusterLayout()

RagTime5LayoutInternal::ClusterLayout::ClusterLayout | ( |  | ) |
| inline

constructor

## ◆ ~ClusterLayout()

RagTime5LayoutInternal::ClusterLayout::~ClusterLayout | ( |  | ) |
| final

destructor

## Member Data Documentation

## ◆ m_childIdSet

std::set<int> RagTime5LayoutInternal::ClusterLayout::m_childIdSet

list of child id

Referenced by ClusterLayout().

## ◆ m_numChild

int RagTime5LayoutInternal::ClusterLayout::m_numChild

the number of classic child

Referenced by ClusterLayout(), and RagTime5Layout::updateLayout().

## ◆ m_numMasterChild

int RagTime5LayoutInternal::ClusterLayout::m_numMasterChild

the number of master child

Referenced by ClusterLayout(), and RagTime5Layout::updateLayout().

## ◆ m_pageDataLink

RagTime5ClusterManager::Link RagTime5LayoutInternal::ClusterLayout::m_pageDataLink

link to a zone of fieldSize 8(unknown)

Referenced by ClusterLayout().

## ◆ m_pageList

std::vector<Zone> RagTime5LayoutInternal::ClusterLayout::m_pageList

list of zone's

Referenced by ClusterLayout(), and RagTime5Layout::updateLayout().

## ◆ m_pageNameLink

RagTime5ClusterManager::NameLink RagTime5LayoutInternal::ClusterLayout::m_pageNameLink

the name link for page?

Referenced by ClusterLayout().

## ◆ m_pipelineLink

RagTime5ClusterManager::Link RagTime5LayoutInternal::ClusterLayout::m_pipelineLink

link to a pipeline cluster list

Referenced by ClusterLayout().

The documentation for this struct was generated from the following file:

- RagTime5Layout.cxx